- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Returns information about a previously requested build.
The Build that is returned includes its status (such as SUCCESS, FAILURE, or WORKING), and timing information.
Note: This method only gets builds in the "global" region when using the legacy resource path projects/{projectId}/builds/{id}. For all regions, use the regional resource path: projects/{projectId}/locations/{location}/builds/{id}.
HTTP request
GET https://cloudbuild.googleapis.com/v1/projects/{projectId}/builds/{id} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. ID of the project. Authorization requires the following IAM permission on the specified resource
|
id |
Required. ID of the build. |
Query parameters
| Parameters | |
|---|---|
name |
The name of the |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Build.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.